Bug 252520 - security/govpn: Unbreak with go1.16
Summary: security/govpn: Unbreak with go1.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 16:07 UTC by Dmitri Goutnik
Modified: 2021-01-08 23:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (stargrave)
dmgk: maintainer-feedback? (stargrave)


Attachments
patch file (361 bytes, patch)
2021-01-08 16:07 UTC, Dmitri Goutnik
stargrave: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2021-01-08 16:07:20 UTC
Created attachment 221391 [details]
patch file

===>  Building for govpn-7.5_1
--- govpn-client ---
--- govpn-server ---
--- govpn-verifier ---
--- govpn-client ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-7.5 go build -ldflags "-X cypherpunks.ru/govpn.Version=7.5" cypherpunks.ru/govpn/cmd/govpn-client
--- govpn-server ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-7.5 go build -ldflags "-X cypherpunks.ru/govpn.Version=7.5" cypherpunks.ru/govpn/cmd/govpn-server
--- govpn-verifier ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-7.5 go build -ldflags "-X cypherpunks.ru/govpn.Version=7.5" cypherpunks.ru/govpn/cmd/govpn-verifier
no required module provides package cypherpunks.ru/govpn/cmd/govpn-verifier: working directory is not part of a module
--- govpn-client ---
no required module provides package cypherpunks.ru/govpn/cmd/govpn-client: working directory is not part of a module
--- govpn-server ---
no required module provides package cypherpunks.ru/govpn/cmd/govpn-server: working directory is not part of a module
--- govpn-verifier ---
*** [govpn-verifier] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/security/govpn/work/govpn-7.5
--- govpn-server ---
*** [govpn-server] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/security/govpn/work/govpn-7.5
--- govpn-client ---
*** [govpn-client] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/security/govpn/work/govpn-7.5
3 errors

make[1]: stopped in /wrkdirs/usr/ports/security/govpn/work/govpn-7.5
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Unbreak build by passing GO111MODULE=off in GO_ENV to make.
Comment 1 commit-hook freebsd_committer 2021-01-08 23:51:18 UTC
A commit references this bug:

Author: dmgk
Date: Fri Jan  8 23:51:15 UTC 2021
New revision: 560819
URL: https://svnweb.freebsd.org/changeset/ports/560819

Log:
  security/govpn: Unbreak with go1.16

  PR:		252520
  Approved by:	Sergey Matveev <stargrave@stargrave.org> (maintainer)

Changes:
  head/security/govpn/Makefile
Comment 2 Dmitri Goutnik freebsd_committer 2021-01-08 23:51:51 UTC
Committed, thanks for the approval.